Loading...
Searching...
No Matches
novas_orbital Struct Reference

Keplerian orbital elements for NOVAS_ORBITAL_OBJECT type. More...

`#include <novas.h>`

## Public Attributes

double | a
| [AU] semi-major axis
double | apsis_period
| [day] Precession period of the apsis, if known.
double | e
| eccentricity
double | i
| [deg] inclination of orbit to the reference plane
double | jd_tdb
| [day] Barycentri Dynamical Time (TDB) based Julian date of the parameters.
double | M0
| [deg] mean anomaly at the reference time. I.e., time from periapsis as a periodic angle.
double | n
| [deg/day] mean daily motion, i.e.
double | node_period
| [day] Precession period of the ascending node, if known.
double | Omega
| [deg] argument of ascending node on the reference plane, at the reference time.
double | omega
| [deg] argument of periapsis / perihelion, at the reference time.
struct novas_orbital_system | system
| orbital reference system assumed for the parametrization

## Detailed Description

Keplerian orbital elements for NOVAS_ORBITAL_OBJECT type.

Orbital elements can be used to provide approximate positions for various Solar-system bodies. JPL publishes orbital elements (and their evolution) for the major planets and their satellites. However, these are suitable only for very approximate calculations, with up to degree scale errors for the gas giants for the time range between 1850 AD and 2050 AD. Accurate positions and velocities for planets and their satellites should generally require the use of precise ephemeris data instead, such as obtained from the JPL Horizons system.

Orbital elements describe motion from a purely Keplerian perspective. However, for short periods, for which the perturbing bodies can be ignored, this description can be quite accurate provided that an up-to-date set of values are used. The Minor Planet Center (MPC) thus regularly publishes orbital elements for all known asteroids and comets. For such objects, orbital elements can offer precise, and the most up-to-date positions and velocities.

REFERENCES:

1. Up-to-date orbital elements for asteroids, comets, etc from the Minor Planet Center (MPC): https://minorplanetcenter.net/data
2. Mean elements for planetary satellites from JPL Horizons: https://ssd.jpl.nasa.gov/sats/elem/
3. Low accuracy mean elements for planets from JPL Horizons: https://ssd.jpl.nasa.gov/planets/approx_pos.html

Author
  Attila Kovacs

Since
  1.2

See also
  make_orbital_object(), NOVAS_ORBIT_INIT, enum NOVAS_ORBITAL_OBJECT

## Member Data Documentation

## a

double novas_orbital::a

[AU] semi-major axis

Referenced by novas_equals_orbital().

## apsis_period

double novas_orbital::apsis_period

[day] Precession period of the apsis, if known.

Referenced by novas_equals_orbital().

## e

double novas_orbital::e

eccentricity

Referenced by novas_equals_orbital().

## i

double novas_orbital::i

[deg] inclination of orbit to the reference plane

Referenced by novas_equals_orbital().

## jd_tdb

double novas_orbital::jd_tdb

[day] Barycentri Dynamical Time (TDB) based Julian date of the parameters.

Referenced by novas_equals_orbital().

## M0

double novas_orbital::M0

[deg] mean anomaly at the reference time. I.e., time from periapsis as a periodic angle.

Referenced by novas_equals_orbital().

## n

double novas_orbital::n

[deg/day] mean daily motion, i.e.

(GM/_a_3)1/2 for the central body, or 360/T, where T is orbital period in days.

Referenced by novas_equals_orbital().

## node_period

double novas_orbital::node_period

[day] Precession period of the ascending node, if known.

Referenced by novas_equals_orbital().

## Omega

double novas_orbital::Omega

[deg] argument of ascending node on the reference plane, at the reference time.

Referenced by novas_equals_orbital().

## omega

double novas_orbital::omega

[deg] argument of periapsis / perihelion, at the reference time.

I.e., distance of apsis from ascending node.

Referenced by novas_equals_orbital().

## system

struct novas_orbital_system novas_orbital::system

orbital reference system assumed for the parametrization

Referenced by novas_equals_orbital().